## rtpL8depay

rtpL8depay

## Types and Values

struct | GstRtpL8Depay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRtpL8Depay

## Description

Extract raw audio from RTP packets according to RFC 3551. For detailed information see: http://www.rfc-editor.org/rfc/rfc3551.txt

### Example pipeline

    1

    gst-launch udpsrc caps='application/x-rtp, media=(string)audio, clock-rate=(int)44100, encoding-name=(string)L8, encoding-params=(string)1, channels=(int)1, payload=(int)96' ! rtpL8depay ! pulsesink

This example pipeline will depayload an RTP raw audio stream. Refer to the rtpL8pay example to create the RTP stream.

## Synopsis

### Element Information

plugin | rtp
author | Zeeshan Ali <zak147@yahoo.com>,Wim Taymans <wim.taymans@gmail.com>, GE Intelligent Platforms Embedded Systems, Inc.
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)audio, clock-rate=(int)[ 1, 2147483647 ], encoding-name=(string)L8

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)U8, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstRtpL8Depay

    struct GstRtpL8Depay;

## See Also

rtpL8pay